"use strict";
// Copyright IBM Corp. and LoopBack contributors 2019,2020. All Rights Reserved.
// Node module: @loopback/example-metrics-prometheus
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
const testlab_1 = require("@loopback/testlab");
const __1 = require("../..");
describe('GreetingApplication', () => {
    let app;
    let client;
    before(givenRunningApplicationWithCustomConfiguration);
    after(() => app.stop());
    before(() => {
        client = (0, testlab_1.createRestAppClient)(app);
    });
    it('gets greetings', async function () {
        const response = await client.get('/greet/Raymond').expect(200);
        (0, testlab_1.expect)(response.body).to.be.an.Array();
        (0, testlab_1.expect)(response.body[0]).to.match(/Hello, Raymond/);
    });
    it('reports metrics', async function () {
        const response = await client.get('/metrics').expect(200);
        (0, testlab_1.expect)(response.text).to.match(/TYPE loopback_invocation_duration_seconds gauge/);
    });
    async function givenRunningApplicationWithCustomConfiguration() {
        app = new __1.GreetingApplication({
            rest: (0, testlab_1.givenHttpServerConfig)(),
        });
        // Start Application
        await app.main();
    }
});
//# sourceMappingURL=greeting-service.integration.js.map