"use strict";
// Copyright IBM Corp. and LoopBack contributors 2019. All Rights Reserved.
// Node module: @loopback/example-metrics-prometheus
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.GreetingController = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const rest_1 = require("@loopback/rest");
const services_1 = require("../services");
let GreetingController = class GreetingController {
    constructor(greetingService) {
        this.greetingService = greetingService;
    }
    async greet(name, count = 1) {
        const tasks = [];
        for (let i = 0; i < count; i++) {
            tasks.push(this.greetingService.greet(name));
        }
        return Promise.all(tasks);
    }
};
exports.GreetingController = GreetingController;
tslib_1.__decorate([
    (0, rest_1.get)('/greet/{name}'),
    tslib_1.__param(0, rest_1.param.path.string('name')),
    tslib_1.__param(1, rest_1.param.query.number('count')),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [String, Object]),
    tslib_1.__metadata("design:returntype", Promise)
], GreetingController.prototype, "greet", null);
exports.GreetingController = GreetingController = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)('services.GreetingService', { asProxyWithInterceptors: true })),
    tslib_1.__metadata("design:paramtypes", [services_1.GreetingService])
], GreetingController);
//# sourceMappingURL=greeting.controller.js.map