"use strict";
// Copyright IBM Corp. and LoopBack contributors 2019. All Rights Reserved.
// Node module: @loopback/example-metrics-prometheus
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.GreetingService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const util_1 = require("util");
const sleep = (0, util_1.promisify)(setTimeout);
let GreetingService = class GreetingService {
    async greet(name) {
        const ts = new Date().toISOString();
        // Delay for a random duration between 0 and 100ms
        const delayInMs = Math.floor(Math.random() * 100);
        await sleep(delayInMs);
        return `[${ts}: ${delayInMs}] Hello, ${name}`;
    }
};
exports.GreetingService = GreetingService;
exports.GreetingService = GreetingService = tslib_1.__decorate([
    (0, core_1.injectable)({ tags: { [core_1.ContextTags.NAMESPACE]: 'services' } })
], GreetingService);
//# sourceMappingURL=greeting.service.js.map